1.1.0: Unable to launch through Curse

Discussion in 'FTB Presents Direwolf20 1.7.10' started by Hexivore, Jun 24, 2016.

  1. Hexivore

    Hexivore Guest

    Version:
    1.1.0

    What is the bug:
    So basically my game can't boot up. I start my launcher from Curse and when i press play the following shows up:
    [18:31:58] [main/INFO]: Loading tweak class name cpw.mods.fml.common.launcher.FMLTweaker
    [18:31:58] [main/ERROR]: Unable to launch
    java.lang.ClassNotFoundException: cpw.mods.fml.common.launcher.FMLTweaker
    at java.net.URLClassLoader$1.run(URLClassLoader.java:202) ~[?:1.6.0_65]
    at java.security.AccessController.doPrivileged(Native Method) ~[?:1.6.0_65]
    at java.net.URLClassLoader.findClass(URLClassLoader.java:190) ~[?:1.6.0_65]
    at java.lang.ClassLoader.loadClass(ClassLoader.java:306) ~[?:1.6.0_65]
    at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:301) ~[?:1.6.0_65]
    at java.lang.ClassLoader.loadClass(ClassLoader.java:247) ~[?:1.6.0_65]
    at net.minecraft.launchwrapper.LaunchClassLoader.findClass(LaunchClassLoader.java:106) ~[launchwrapper-1.12.jar:?]
    at java.lang.ClassLoader.loadClass(ClassLoader.java:306) ~[?:1.6.0_65]
    at java.lang.ClassLoader.loadClass(ClassLoader.java:247) ~[?:1.6.0_65]
    at java.lang.Class.forName0(Native Method) ~[?:1.6.0_65]
    at java.lang.Class.forName(Class.java:249) ~[?:1.6.0_65]
    at net.minecraft.launchwrapper.Launch.launch(Launch.java:98) [launchwrapper-1.12.jar:?]
    at net.minecraft.launchwrapper.Launch.main(Launch.java:28) [launchwrapper-1.12.jar:?]

    Mod & Version:
    Direwolf20 1.7.10, version 1.10.0

    Paste.feed-the-beast.com log:


    Can it be repeated:


    Known Fix:
     
  2. Trisscar

    Trisscar New Member

    Have you tried from the FTB launcher for comparison? Often times one of the launchers won't work for some reason, but the other will.
    If you have, check these;
    -Have 64 bit OS/Java?
    -Have around 3-4g RAM allocated to MC?
    -Java up to date or a couple minor patches behind?
    -Assuming the above have been confirmed and it still doesn't work, uninstall (or delete) the pack and reinstall it
    Assuming THAT doesn't work, come back here with the newest -full- crash log in a pastebin link so we can see what it's complaining so bitterly about.
     
  3. Hexivore

    Hexivore Guest

    I have the most recent Java, I'm on mac, The only FTB launcher I can find is Curse, on curse I have apparently 2000+ Megabytes for MC, have uninstalled and reinstalled before but I'll try that again soon. Thanks anyway though. Where can I find the original FTB launcher for mac though?
     
  4. Trisscar

    Trisscar New Member

    Mk, you pretty much have to have at least 3 gigs (and no more than four cause that causes issues) of RAM allocated to run modpacks, so that should be the first thing to change if you haven't already.
    As to the FTB launcher... I dunno on Mac tbh, as a Windows and sometimes Linux user. I do know they're about to retire the old launcher to swap to Curse, but that shouldn't have happened yet...
    Mk, so there's the Curse download link on this (http://www.feed-the-beast.com/) page, and then there's legacy downloads beneath it, try those?
     
  5. WoodedOrange

    WoodedOrange Guest

    Hello I'm getting the exact same crash report:
    [11:58:27] [main/INFO]: Loading tweak class name cpw.mods.fml.common.launcher.FMLTweaker
    [11:58:27] [main/ERROR]: Unable to launch
    java.lang.ClassNotFoundException: cpw.mods.fml.common.launcher.FMLTweaker
    at java.net.URLClassLoader$1.run(URLClassLoader.java:202) ~[?:1.6.0_65]
    at java.security.AccessController.doPrivileged(Native Method) ~[?:1.6.0_65]
    at java.net.URLClassLoader.findClass(URLClassLoader.java:190) ~[?:1.6.0_65]
    at java.lang.ClassLoader.loadClass(ClassLoader.java:306) ~[?:1.6.0_65]
    at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:301) ~[?:1.6.0_65]
    at java.lang.ClassLoader.loadClass(ClassLoader.java:247) ~[?:1.6.0_65]
    at net.minecraft.launchwrapper.LaunchClassLoader.findClass(LaunchClassLoader.java:106) ~[launchwrapper-1.12.jar:?]
    at java.lang.ClassLoader.loadClass(ClassLoader.java:306) ~[?:1.6.0_65]
    at java.lang.ClassLoader.loadClass(ClassLoader.java:247) ~[?:1.6.0_65]
    at java.lang.Class.forName0(Native Method) ~[?:1.6.0_65]
    at java.lang.Class.forName(Class.java:249) ~[?:1.6.0_65]
    at net.minecraft.launchwrapper.Launch.launch(Launch.java:98) [launchwrapper-1.12.jar:?]
    at net.minecraft.launchwrapper.Launch.main(Launch.java:28) [launchwrapper-1.12.jar:?]

    Through some testing i have done i found out a fix, but it dosent work forever. go into the modpack and select "Profile Options" then select the "Current Modloader Versions" and pick the "Forge-10.13.4.1566" version and press okay.

    Note: Im on a Imac, and it has all the requirement to run it, and i know this because it works sometimes and runs just fine.


    Im guessing this is caused by me being on a mac, BUT i have seen even a few pc owners have this exact same problem.
     

Share This Page